## zix 0.4.2

=== meson_options.txt ===
# Copyright 2020-2023 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('benchmarks', type: 'feature', value: 'auto', yield: true,
       description: 'Build benchmarks')

option('checks', type: 'feature', value: 'enabled', yield: true,
       description: 'Check for platform-specific features')

option('docs', type: 'feature', value: 'auto', yield: true,
       description: 'Build documentation')

option('html', type: 'feature', value: 'auto', yield: true,
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false, yield: true,
       description: 'Run code quality checks')

option('posix', type: 'feature', value: 'auto', yield: true,
       description: 'Use POSIX system facilities')

option('singlehtml', type: 'feature', value: 'auto', yield: true,
       description: 'Build single-page HTML documentation')

option('threads', type: 'feature', value: 'auto', yield: true,
       description: 'Enable thread support')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('tests_cpp', type: 'feature', value: 'auto', yield: true,
       description: 'Build C++ standard library comparison tests')

option('title', type: 'string', value: 'Zix',
       description: 'Project title')

=== debian/changelog ===
zix (0.4.2-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:46 +0200

zix (0.4.2-2) unstable; urgency=medium

  * debian/watch: Switch to downloads from drobilla's website
  * debian/: Verify upstream signature

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Nov 2023 19:08:47 +0100

zix (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #1055051)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Oct 2023 22:18:06 +0100

=== debian/control ===
Source: zix
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 ninja-build,
 pkgconf
Standards-Version: 4.6.2
Homepage: https://gitlab.com/drobilla/zix
Vcs-Git: https://salsa.debian.org/multimedia-team/zix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/tix
Rules-Requires-Root: no

Package: libzix-0-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library of portability wrappers and data structures (shared library)
 Zix provides a lightweight library of portability wrappers and data
 structures. Components of Zix include bump allocator, B-tree, hash table, and
 binary tree implementations. The wrappers include filesystem and threading
 abstractions.
 .
 This package provides the shared library.

Package: libzix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libzix-0-0 (= ${binary:Version}),
 ${misc:Depends}
Description: library of portability wrappers and data structures (development files)
 Zix provides a lightweight library of portability wrappers and data
 structures. Components of Zix include bump allocator, B-tree, hash table, and
 binary tree implementations. The wrappers include filesystem and threading
 abstractions.
 .
 This package provides the development files.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/zix@ANY_VERSION@@ARCHIVE_EXT@

## zix 0.6.2

=== meson_options.txt ===
# Copyright 2020-2024 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('benchmarks', type: 'feature', yield: true,
       description: 'Build benchmarks')

option('checks', type: 'feature', value: 'enabled', yield: true,
       description: 'Check for platform-specific features')

option('docs', type: 'feature', yield: true,
       description: 'Build documentation')

option('html', type: 'feature', yield: true,
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false, yield: true,
       description: 'Run code quality checks')

option('posix', type: 'feature', yield: true,
       description: 'Use POSIX system facilities')

option('singlehtml', type: 'feature', yield: true,
       description: 'Build single-page HTML documentation')

option('threads', type: 'feature', yield: true,
       description: 'Enable thread support')

option('tests', type: 'feature', yield: true,
       description: 'Build tests')

option('tests_cpp', type: 'feature', yield: true,
       description: 'Build C++ standard library comparison tests')

option('title', type: 'string', value: 'Zix',
       description: 'Project title')

option('win_ver', type: 'combo', value: 'win8',
       choices: ['nt4', 'winxp', 'vista', 'win8'],
       description: 'Latest Windows API version to use')

option('win_wchar', type: 'feature', yield: true,
       description: 'Use UTF-16 wchar_t and UNICODE with Windows API')

=== debian/changelog ===
zix (0.6.2-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update d/control (typo fix)

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Bump Standards-Version to 4.7.0
  * Update symbols file
  * Update d/copyright years

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 11:06:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zix
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -10,10 +9,10 @@
  meson,
  ninja-build,
  pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/drobilla/zix
 Vcs-Git: https://salsa.debian.org/multimedia-team/zix.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/tix
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zix
 Rules-Requires-Root: no
 
 Package: libzix-0-0

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dbenchmarks=disabled -Ddocs=disabled

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## zix 0.8.0

=== meson_options.txt ===
# Copyright 2020-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('benchmarks', type: 'feature',
       description: 'Build benchmarks')

option('checks', type: 'feature', value: 'enabled',
       description: 'Check for platform-specific features')

option('docs', type: 'feature',
       description: 'Build documentation')

option('html', type: 'feature',
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('posix', type: 'feature',
       description: 'Use POSIX system facilities')

option('singlehtml', type: 'feature',
       description: 'Build single-page HTML documentation')

option('threads', type: 'feature',
       description: 'Enable thread support')

option('tests', type: 'feature',
       description: 'Build tests')

option('tests_cpp', type: 'feature',
       description: 'Build C++ standard library comparison tests')

option('title', type: 'string', value: 'Zix',
       description: 'Project title')

option('win_ver', type: 'combo', value: 'win8',
       choices: ['nt4', 'winxp', 'vista', 'win8'],
       description: 'Latest Windows API version to use')

option('win_wchar', type: 'feature',
       description: 'Use UTF-16 wchar_t and UNICODE with Windows API')

=== debian/changelog ===
zix (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Nov 2025 18:55:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  meson,
  ninja-build,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/drobilla/zix
 Vcs-Git: https://salsa.debian.org/multimedia-team/zix.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zix
-Rules-Requires-Root: no
 
 Package: libzix-0-0
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://download.drobilla.net/
Matching-Pattern: zix-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
